[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

glibc2/libc6 infortmation


is there a small documentation on glibc2/libc6 ?
 - which packages are needed to compile programs based on libc6
 - which packages are needed then to compile programs with old libc5
 - flags etc. nedded to force gcc to compile with libc5

i tried recent gcc, libc6, libc5, altlibc5, ld.so (most from
experminental), but i could not compile everything :
i compiled a program with -b i486-linuxlibc1, and everything worked,
till gcc tried to link it :
undefined reference _IO_putc

glibc2 has a _IO_putc, but libc5 has a #define makro, so the compile
shouldn't ask for _IO_putc ... 
(i tried using -I/usr/i486-linuxlibc1/include but it didn't help)

regards, andreas

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: